%define momorel 1

%define	emacsver	21.3
%define	xemacsver	21.4
Summary: YC - Yet another Canna client on Emacsen
Name: elisp-yc
Version: 4.0.8
Release: %{momorel}m
License: GPL
Group: Applications/Editors
%NoSource 0 http://www.ceres.dti.ne.jp/~knak/yc-%{version}.tar.gz 067fa53a65409478a01ccff67d9b9fb8
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
YC means the shortest abbriviation of 'Yet another Canna client.'
It communicates with cannaserver directly to translate ANK into Kanji
or Kana into Kanji on Emacs. It is written in Emacs Lisp. It can be
so-called boiled-canna that communicates with cannaserver directly.
No patch against Emacs is needed because it is basically implemented only
in Emacs Lisp.

%package -n yc-emacs
Group: Applications/Editors
Summary: YC - Yet another Canna client on Emacs
Requires: %{name} = %{version}, emacs >= %{emacsver}
Obsoletes: yc.el-emacs

%description -n yc-emacs
YC means the shortest abbriviation of 'Yet another Canna client.'
It communicates with cannaserver directly to translate ANK into Kanji
or Kana into Kanji on Emacs. It is written in Emacs Lisp. It can be
so-called boiled-canna that communicates with cannaserver directly.
No patch against Emacs is needed because it is basically implemented only
in Emacs Lisp.

%package -n yc-xemacs
Group: Applications/Editors
Summary: YC - Yet another Canna client on XEmacs
Requires: %{name} = %{version}, xemacs >= %{xemacsver}
Obsoletes: yc.el-xemacs

%description -n yc-xemacs
YC means the shortest abbriviation of 'Yet another Canna client.'
It communicates with cannaserver directly to translate ANK into Kanji
or Kana into Kanji on emacsen. It is written in Emacs Lisp. It can be
so-called boiled-canna that communicates with cannaserver directly.
No patch against emacsen is needed because it is basically implemented only
in Emacs Lisp.

%prep
%setup -q -n yc-%{version}

%build
emacs -q -no-site-file -batch -f batch-byte-compile yc.el
mv yc.elc yc.elc.emacs
LANG=ja_JP.EUC-JP xemacs -q -no-site-file -batch -f batch-byte-compile yc.el
mv yc.elc yc.elc.xemacs

# icanna (used when calling cannaserver with unix domain socket support) 
make icanna

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp
install -m 644 yc.el %{buildroot}%{_datadir}/emacs/site-lisp
install -m 644 yc.elc.emacs %{buildroot}%{_datadir}/emacs/site-lisp/yc.elc
mkdir -p %{buildroot}%{_libdir}/xemacs/site-lisp
install -m 644 yc.el %{buildroot}%{_libdir}/xemacs/site-lisp/
install -m 644 yc.elc.xemacs %{buildroot}%{_libdir}/xemacs/site-lisp/yc.elc
# icanna
mkdir -p  %{buildroot}%{_bindir}
make INSTALL_PATH=%{buildroot}%{_bindir} install-bin

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog KEY-BINDINGS
%{_bindir}/*

%files -n yc-xemacs
%defattr(-, root, root)
%{_libdir}/xemacs/site-lisp/*

%files -n yc-emacs
%defattr(-, root, root)
%{_datadir}/emacs/site-lisp/*

%changelog
* Sun Mar 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.8-1m)

* Fri Feb 20 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.7-1m)

* Mon Feb 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.6-1m)

* Wed Jan  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.5-1m)
- add documents

* Fri Dec 12 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (4.0.3-1m)
- update to 4.0.3
- support cannaserver which uses unix domain socket

* Wed May  7 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.5.5-1m)

* Tue Apr  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.5.2-1m)

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.5.0-3m)
- rebuild against emacs-21.3
- use rpm macro define
- use %%{_prefix} %%{_datadir} %%{_libdir} macro

* Mon Dec 2 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.5.0-2m)
- add BuildPreReq: xemacs-sumo

* Sun Nov 10 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.5.0-1m)

* Mon Nov  4 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.4.13-1m)

* Mon Oct 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.4.12-1m)

* Wed Oct  9 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.4.10-1m)

* Sat Sep 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.4.9-1m)

* Thu Jul  4 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.4.7-1m)

* Fri Apr 19 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.4.6-2k)

* Sun Apr 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.4.4-2k)

* Tue Apr  9 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.4.2-2k)

* Thu Feb 28 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.4.1-2k)

* Wed Jan  2 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.3.4-2k)

* Wed Oct 31 2001 Kazuhiko <kazuhiko@fdiary.net>
- (3.3.3-12k)
- Requires: emacsen

* Mon Oct 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (3.3.3-10k)
- modify BuildPreReq

* Mon Oct 22 2001 Kazuhiko <kazuhiko@fdiary.net>
- (3.3.3-8k)
- revive Obsoletes: tag

* Thu Oct 18 2001 Hidetomo Machi <mcHT@kondara.org>
- (3.3.3-6k)
- separate listed packages with "," in BuildRequires tag
- remove Obsoletes tag

* Thu Oct 18 2001 Kazuhiko <kazuhiko@fdiary.net>
- (3.3.3-4k)
- merge yc-emacs and yc-xemacs into elisp-yc package

* Sun Oct 14 2001 Kazuhiko <kazuhiko@fdiary.net>
- (3.3.3-2k)

* Fri Sep 14 2001 Kazuhiko <kazuhiko@fdiary.net>
- (3.3.2-2k)

* Sat Sep  1 2001 Kazuhiko <kazuhiko@fdiary.net>
- (3.3.1-2k)

* Wed Nov 22 2000 Kazuhiko <kazuhiko@fdiary.net>
- (3.1.9-1k)

* Tue Nov 21 2000 Kazuhiko <kazuhiko@fdiary.net>
- modify for xemacs

* Sat Nov 18 2000 AYUHANA Tomonori <l@kondara.org>
- (3.1.8-1k)
- version 3.1.8
- fix gzip -d yc.el-* to gzip -dc yc.el-*.gz

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (3.1.4-1k)
- version 3.1.4
- change name yc-emacs from yc.el-emacs
- add Obsoletes tag
- modify specfile (License, Group)

* Wed Jul  5 2000 SAKA Toshihide <saka@yugen.org>
- Add Url of the author's web page.

* Fri Jun 30 2000 SAKA Toshihide <saka@yugen.org>
- First release.
